/* -- Fonts -- */
/* font-family: 'pricedown'; */
* {
    transition: font-size 0.3s ease;
}

body, html {
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
    color: #ca50d3;
}

a:hover {
    color: #ca50d3;
    text-decoration: none;
}

body {
    padding-top: 128px;
    background-color: #ecf0f1;
    width: 100%;
    box-sizing: border-box;
    overflow-x: hidden;
    font-family: 'Roboto Condensed', sans-serif;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    min-height: 100vh;
}

p.fl-good, .box-content p.fl-good, .credit-fl {
    color: #27ae60;
}

p.fl-bad, .box-content p.fl-bad {
    color: #c0392b;
}

.alert-good {
    background-color: #2ecc71;
    color: white;
}

.alert-wrong {
    background-color: ##c0392b;
    color: white;
}

.pricedown {
    font-family: 'PriceDown';
}

h2 {
    font-size: 42px;
    display: inline-block;
    width: 100%;
    text-align: center;
    color: #121017;
    margin-top: 0;
    text-transform: uppercase;
}

.section-bloc {
    padding: 0 20px 20px;
    margin-top: 0;
}

.row > div {
    background-color: #fff;
    padding-top: 20px;
    padding-bottom: 20px;
}

/*=== HOME ===*/
body.home {
    background: url(../images/background-home.jpg) no-repeat center center;
    background-size: cover;
    width: 100vw;
    height: 100vh;
    padding: 0;
    margin: 0;
    display: flex;
    flex-flow: column wrap;
    justify-content: space-around;
    text-align: center;
    overflow: hidden;
}

body.home a {
    display: block;
    width: 250px;
    height: 50px;
    background: #121017;
    color: white;
    text-align: center;
    line-height: 50px;
    font-weight: bold;
    transition: all 0.3s ease;
    margin: 40px auto;
}

body.home a:hover {
    opacity: 0.8;
}

/*=== Header ===*/
.global-header {
    width: 100%;
    height: 128px;
    background: url(../images/header.jpg);
    background-position: top center;
    border-bottom: 6px solid #121017;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 200;
}

.global-header img {
    width: 110px;
    height: auto;
    margin-left: 20px;
    margin-top: 6px;
    margin-bottom: 6px;
}


/*=== Nav ===*/
.nav-mobile, .fas.nav-mobile {
    display: none;
}

.nav-left {
    width: 265px;
    height: auto;
    background-color: #121017;
    position: relative;
    left: 0;
    top: 0;
    z-index: 100;
    display: inline-block;
    min-height: calc(100vh - 128px);
    
}

.nav-left ul {
    list-style: none;
    display: flex;
    flex-flow: column wrap;
    padding: 10px;
}

.nav-left li {
    margin-bottom: 5px;
    width: 100%;
}

.nav-left li:last-of-type {
    margin-bottom: 0;
}

.nav-left ul a {
    display: block;
    width: 100%;
    text-decoration: none;
    padding: 8px 6px 4px;
    color: white;
    font-weight: bold;
    font-size: 15px;
    text-transform: uppercase;
}

.nav-left ul a:hover {
    opacity: 1;
}

.nav-left i {
    min-width: 20px;
    margin-right: 3px;
}

.nav-left ul a.active, .nav-left ul a:hover {
    background-color: #2f3b6b;
}

p.nav-title {
    display: block;
    padding: 10px 15px 0;
    color: #fff;
    font-family: 'PriceDown';
    font-size: 27px;
    border-top: 4px solid rgb(236 240 241);
}

/*=== Body Content ===*/
.fl-content {
    padding-top: 20px;
    width: calc(100% - 265px);
}

.box-card {
    position: relative;
    background-color: #e3e3e3;
    border: 1px solid #d8d8d8;
    display: flex;
    flex-flow: row wrap;
    justify-content:flex-start;
    align-items: stretch;
    padding: 0;
    overflow: hidden;
}

.box-avatar, .box-icon {
    width: 120px;
    background-color: #121017;
    height: auto;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    position: relative;
    z-index: 100;
    overflow: hidden;
    min-height: 120px;
}

.box-avatar img, .img-event img {
    width: 100%;
    height: auto;
}

.box-icon {
    padding: 0px 15px;
    box-sizing: border-box;
    text-align: center;
}

.box-icon img {
    width: 100%;
    height: auto;
}

.box-title {
    width: 100%;
    background-color: #121017;
    display: flex;
    flex-flow: column;
    justify-content: center;
    height: 50px;
}

.box-title h2 {
    padding: 5px;
    margin: 0;
    font-size: 2rem;
    text-align: center;
    color: white;
}

.box-title.fl-evenement {
    height: auto;
    padding: 0;
}

.box-title.fl-evenement h2 {
    font-family: 'pricedown';
    font-size: 3rem;
}

.box-socials {
    width: 100%;
    text-align: center;
}

.box-socials a:hover {
    opacity: 0.6;
    transition: opacity 0.3s ease;
}

.box-socials i {
    font-size: 3.5rem;
    line-height: 70px;
}

.box-socials .i-twitch a {
    color: #392e5c;
}

.box-socials .i-discord a {
    color: #7289da;
}

.box-socials .i-steam a {
    color: #11265b;
}

.box-content, .box-content-full {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    text-align: center;
    width: calc(100% - 125px);
}

.box-content .fl-subtitle {
    font-size: 1.3rem;
    opacity: 0.6;
    margin: 0;
}

.box-content p {
    font-family: 'pricedown';
    font-size: 35px;
    line-height: 40px;
    color: #131313;
    margin-bottom: 0;
    text-transform: uppercase;
}

.box-content span.dollar {
    color: #27ae60;
}

.box-icon i {
    font-size: 4rem;
    color: white;
    text-align: center;
    line-height: 120px;
}

.box-content .fl-permis {
    font-size: 4rem;
    color: black;
}

.fl-permis .permis-ok {
    color: #2980b9;
}

.credit-fl {
    font-size: 3rem;
}

a.box-hover {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    background-color: #2f3b6b;
    z-index: 200;
    color: white;
    text-align: center;
    font-size: 5rem;
    font-family: 'pricedown';
    text-transform: uppercase;
    pointer-events: none;
    transition: all 0.3s ease;
    overflow: hidden;
    left: -100%;
}

.box-event a.box-hover {
    font-size: 3rem;
}

.box-card:not(.hover-event):hover a.box-hover, .box-event:hover a.box-hover {
    pointer-events: all;
    left: 0;
}

.box-card a.box-hover.fl-vote {
    background-color: #27ae60;
}

.box-card a.box-hover.fl-rocade {
    background-color: #2980b9;
}

.box-content-full {
    padding: 15px;
    width: 100%;
    flex-flow: row wrap;
}

.box-content-full h3 {
    font-family: 'pricedown';
    width: 100%;
}

.box-event .fl-event {
    background-color: #d6d6d6;
}

.box-content-full .fl-event img {
    height: auto;
}

.box-event {
    overflow: hidden;
}

.fl-event {
    position: relative;
    padding: 15px 15px 50px 15px;
}

.fl-event p.date {
    margin: 0;
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 40px;
    line-height: 40px;
    background-color: #2980b9;
    color: white;
}

.fas.arrow-up {
    display: none;
}

span.discord {
    font-weight: bold;
    color: #292841;
}

a.extranet {
    font-weight: bold;
    color: #3498db;
    text-decoration: none;
    -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

span.miranda {
    display: inline-block;
    width: 100%;
    padding: 15px;
    margin: 10px 0;
    background-color: #ecf0f1;
    font-size: 18px;
    color: #c0392b;
}

a.extranet:hover {
    font-weight: bold;
    color: #2980b9;
    text-decoration: none;
}

#procedure-gav h2 {
    text-align: left;
    margin-bottom: 50px;
}

#procedure-gav ol {
    margin: 0;
}

#procedure-gav li {
    margin-bottom: 20px;
    padding: 0;
    font-size: 20px;
}

#procedure-gav li ul li {
    margin-bottom: 10px;
}

@media (max-width: 1715px) {
    .box-title h2 {
        font-size: 1.4rem;
    }
    
    .box-content p {
        font-size: 3rem;
    }
    
    .credit-fl {
        font-size: 2.5rem;
    }
    
    .box-content .fl-permis, .box-socials i {
        font-size: 2.8rem;
    }
    
    .box-icon i {
        line-height: 100px;
        font-size: 4rem;
    }
    
    .box-title {
        height: 35px;
    }
    
    .box-socials i {
        line-height: 65px;
    }
}

@media (max-width: 1500px) {
    .box-icon i {
        line-height: 80px;
        font-size: 4rem;
    }
    
    .box-title {
        height: 25px;
    }
    
    .box-socials i {
        line-height: 55px;
    }
    
    .box-content p {
        font-size: 25px;
        line-height: 30px;
    }
    
    .credit-fl {
        font-size: 2rem;
    }
    
    .box-socials i {
        font-size: 5rem;
    }
}

@media (max-width: 1024px) {
    .box-socials i {
        font-size: 2rem;
    }

}


@media (max-width: 992px) {
    .box-content .fl-permis, .box-socials i {
        font-size: 2.5rem;
    }
    
    body.home img {
        width: 80%;
        height: auto;
    }
    
    .box-event  {
        margin-bottom: 10px;
    }
    
    .box-socials i {
        font-size: 2.5rem;
    }
}

@media (max-width: 992px) and (orientation: landscape) {
    body.home img {
        width: 40%;
        height: auto;
    } 
}

@media (max-width: 768px) {
    * {
        transition: left 0.3s ease;
        transition: top 0.3s ease;
    }
    
    html {
        background-color: #121017;
    }
    
    body {
        padding-left: 0;
        position: absolute;
        top: 0;
        left: 0;
        margin-top: 0;
        padding-top: 164px;
    }
    
    body.nav-open {
        overflow-y: hidden;
    }
    
    .global-header {
        position: absolute;
        z-index: 300;
    }
    
    .nav-left {
        display: none;
        width: 100%;
        margin-top: 0 !important;
        padding-top: 60px; !important;
        position: fixed !important;
        height: 100vh;
        overflow: hidden;
        overflow-y: scroll;
        z-index: 9000;
        transition: height 0s;
        padding-top: 60px !important;
    }
    
    .nav-left ul a {
        font-size: 3rem;
    }
    
    .box-avatar, .box-icon {
        width: 100%;
    }
    
    .box-avatar {
        height: auto;
    }
    
    .box-content {
        width: 100% !important;
    }
    
    .box-socials i {
        font-size: 5rem;
        margin: 15px 0;
    }
    
    .box-icon i {
        font-size: 8rem;
    }
    
    .box-icon img {
        width: 60%;
    }
    
    body.accueil .fl-stream {
        display: none;
    }
    
    .global-header {
        text-align: center;
    }
    
    .global-header img {
        margin-left: 0;
    }
    
    .nav-mobile, .fas.nav-mobile {
        display: block;
        font-size: 5rem;
        color: white;
        position: absolute;
        bottom: 10px;
        left: 10px;
        z-index: 500;
    }
    
    .nav-left .nav-mobile {
        top: 10px;
    }
    
    .box-title.fl-evenement h2 {
        font-size: 3rem;
    }
    
    .box-avatar {
        width: 100%;
        height: auto;
    }
    
    .box-icon {
        width: 100%;
        line-height: 100px;
        height: 100px;
    }
    
    .box-icon i {
        line-height: 100px;
        font-size: 5rem;
    }
    
    .box-title {
        height: 35px;
    }
    
    .box-socials > div {
        margin: 15px 0;
    }
    
    .box-socials i {
        line-height: 65px;
    }
    
    .box-content .fl-permis {
        font-size: 5rem;
    }
    
    .box-content p {
        font-size: 5rem;
    }
    
    .credit-fl {
        font-size: 4.5rem;
    }
    
    .box-steam .box-content {
        padding: 0;
    }
    
    .box-content {
        padding: 10px 0;
        box-sizing: border-box;
    }
    
    .box-content .fl-subtitle {
        font-size: 2rem;
    }
    
    .fas.arrow-up {
        display: none;
        position: fixed;
        width: 50px;
        height: 50px;
        background-color: #121017;
        bottom: 5px;
        right: 5px;
        color: white;
        text-align: center;
        z-index: 1000;
        opacity: 0.8;
    }
    
    .arrow-up:before {
        font-size: 1.8rem;
        line-height: 50px;
    }
}

@media (max-width: 640px) {
    .box-socials i {
        font-size: 10rem;
    }
}